/*******************************************************************************
  File : hash.h

  Description : Fichier en-tte pour le module "hash".
*******************************************************************************/

#ifndef HASH_H
#define HASH_H

/*******************************************************************************
  Include files :
*******************************************************************************/

/* Fichiers en-tte des informations gnrales du programme : */
#include "main.h"

/* Fichier en-tte des donnes globales : */
#include "data.h"

/*******************************************************************************
  Types :
*******************************************************************************/

/* Deux nombres entiers non signs caractrisent les lments qui entrent dans
   l'algorithme de hachage : */
typedef struct {

  unsigned int h1;
  unsigned int h2;

} h_value_s;

/* Fonctions externes du module : */
typedef struct {

  h_value_s (*compute_h_position) (void);
  void (*initialize_h_values) (void);
  void (*update_h_position) (h_value_s *new_h_position, h_value_s h_element);

} hash_module_s;

/*******************************************************************************
  Data :
*******************************************************************************/

extern hash_module_s hash;

extern h_value_s h_position;
extern h_value_s h_position_history[MOVES_LIMIT * 2];

extern h_value_s h_values[15][120];
extern h_value_s h_values_color[2];
extern h_value_s h_values_ep[120];
extern h_value_s h_values_castle[5][2];

#endif /* HASH_H */
