/*******************************************************************************
  File : tools.h

  Description : Fichier en-tte pour le module "tools".
*******************************************************************************/

#ifndef TOOLS_H
#define TOOLS_H

/*******************************************************************************
  Include files :
*******************************************************************************/

/* Fichiers en-tte des informations gnrales du programme : */
#include "main.h"

/* Fichier en-tte des donnes globales : */
#include "data.h"

/*******************************************************************************
  Types :
*******************************************************************************/

/* Fonctions externes du module : */
typedef struct {

  void (*compute_time) (void);
  bool (*convert_lan_move) (const char *lan_move, move_s *move);
  void (*convert_pgm_move) (move_s *move, char lan_move[]);
  unsigned int (*generate_random) (void);
  bool (*is_repeated) (void);
  void (*print_board) (FILE *output_file);
  void (*read_input) (char string[]);
  int (*send_output) (bool to_stdout, const char *format, ...);
  void (*update_pieces) (void);
  bool (*verify_move) (char lan_move[]);

} tools_module_s;

/*******************************************************************************
  Data :
*******************************************************************************/

extern tools_module_s tools;

#endif /* TOOLS_H */
