/*******************************************************************************
  File : uci.h

  Description : Fichier en-tte pour le module "uci".
*******************************************************************************/

#ifndef UCI_H
#define UCI_H

/*******************************************************************************
  Include files :
*******************************************************************************/

/* Fichiers en-tte des informations gnrales du programme : */
#include "main.h"

/* Fichier en-tte des donnes globales : */
#include "data.h"

/*******************************************************************************
  Types :
*******************************************************************************/

/* Fonctions externes du module : */
typedef struct {

  void (*debug_command) (void);
  void (*go) (char string[]);
  void (*info) (int score);
  void (*isready) (void);
  void (*ponderhit) (void);
  void (*position) (char string[]);
  void (*quit) (int return_code);
  void (*registration) (void);
  void (*setoption) (void);
  void (*stop) (void);
  void (*uci_command) (void);
  void (*ucinewgame) (void);

} uci_module_s;

/*******************************************************************************
  Data :
*******************************************************************************/

extern uci_module_s uci;

extern int uci_binc;
extern int uci_btime;
extern int uci_winc;
extern int uci_wtime;

#endif /* UCI_H */
